<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/platform_color_F0F0F0"
        android:orientation="vertical">

    <FrameLayout
            android:id="@+id/message_activity_list_view_container"
            android:layout_width="match_parent"
            android:layout_height="0dip"
            android:layout_weight="1">

        <com.yidianling.uikit.business.session.helper.MsgBkImageView
                android:id="@+id/message_activity_background"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

        <RelativeLayout
                android:id="@+id/constraint_ll"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

            <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">


                <android.support.v7.widget.RecyclerView
                        android:id="@+id/messageListView"
                        style="@style/list_view"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:cacheColorHint="@android:color/transparent"
                        android:divider="@null"
                        android:fadingEdge="none"
                        android:listSelector="@android:color/transparent"
                        android:scrollbars="vertical" />


                <!--和助理聊天时，显示关联的咨询师的信息-->
                <RelativeLayout
                        android:id="@+id/rl_doctor_name"
                        android:layout_width="wrap_content"
                        android:layout_height="34dp"
                        android:layout_marginTop="15dp"
                        android:gravity="center_vertical"
                        android:visibility="gone"
                        tools:visibility="visible">


                    <LinearLayout
                            android:id="@+id/ll_info_detail"
                            android:layout_width="wrap_content"
                            android:layout_height="34dp"
                            android:layout_toRightOf="@+id/view_empty"
                            android:background="@drawable/im_background_chat_assistant_to_doctor_name"
                            android:gravity="center_vertical"
                            android:orientation="horizontal"
                            android:paddingRight="12dp">

                        <TextView
                                android:id="@+id/tv_from"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:paddingRight="3dp"
                                android:text="来自"
                                android:textColor="@color/platform_color_242424"
                                android:textSize="12sp" />

                        <TextView
                                android:id="@+id/tv_doctor_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:textColor="@color/platform_main_theme"
                                android:textSize="12sp"
                                tools:text="雷水寿" />

                    </LinearLayout>

                    <View
                            android:id="@+id/view_empty"
                            android:layout_width="12dp"
                            android:layout_height="34dp"
                            android:background="@color/white" />
                </RelativeLayout>
            </RelativeLayout>

            <LinearLayout
                    android:id="@+id/top_view_container"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentTop="true"
                    android:orientation="vertical"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:visibility="gone">
                <!-- 专家信息 -->
                <LinearLayout
                        android:id="@+id/top_expert_info_ll"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                    <android.support.constraint.ConstraintLayout
                            android:id="@+id/top_expert_info_cl"
                            android:layout_width="match_parent"
                            android:layout_height="56dp"
                            android:background="@color/im_white"
                            android:paddingLeft="@dimen/platform_dp_10"
                            android:visibility="gone"
                            tools:visibility="visible">

                        <com.ydl.ydlcommon.view.CircleImageView
                                android:id="@+id/small_head_img"
                                android:layout_width="@dimen/platform_dp_36"
                                android:layout_height="@dimen/platform_dp_36"
                                android:layout_marginTop="8dp"
                                android:layout_marginBottom="10dp"
                                android:background="@drawable/platform_head_place_hold_pic"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintTop_toTopOf="parent"></com.ydl.ydlcommon.view.CircleImageView>

                        <View
                                android:layout_width="match_parent"
                                android:layout_height="0.5dp"
                                android:layout_marginLeft="46dp"
                                android:layout_marginRight="10dp"
                                android:background="#F0F0F0"
                                app:layout_constraintBottom_toBottomOf="parent"
                                app:layout_constraintRight_toRightOf="parent" />

                        <View
                                android:layout_width="0.5dp"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="46dp"
                                android:background="#F0F0F0"
                                app:layout_constraintBottom_toBottomOf="parent"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                                android:id="@+id/rl_help"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="37dp"
                                android:paddingTop="13dp"
                                android:paddingBottom="10dp"
                                app:layout_constraintLeft_toRightOf="@+id/small_head_img">

                            <TextView
                                    android:id="@+id/help_num_tv"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerHorizontal="true"
                                    android:textColor="@color/im_color_242424"
                                    android:textSize="@dimen/platform_dp_16"
                                    tools:text="2648" />


                            <TextView
                                    android:id="@+id/help_num_tv_desc"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_alignParentBottom="true"
                                    android:layout_centerHorizontal="true"
                                    android:text="帮助人数"
                                    android:textColor="@color/platform_color_999999"
                                    android:textSize="@dimen/platform_dp_10" />

                            <ImageView
                                    android:layout_width="10dp"
                                    android:layout_height="10dp"
                                    android:layout_alignParentBottom="true"
                                    android:layout_marginLeft="12dp"
                                    android:layout_marginBottom="1.5dp"
                                    android:layout_toRightOf="@+id/help_num_tv_desc"
                                    android:scaleType="fitXY"
                                    android:src="@drawable/im_more_info_icon" />


                        </RelativeLayout>

                        <RelativeLayout
                                android:id="@+id/rl_good"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginRight="30dp"
                                android:paddingTop="13dp"
                                android:paddingBottom="10dp"
                                app:layout_constraintRight_toRightOf="parent">

                            <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerHorizontal="true"
                                    android:orientation="horizontal">

                                <TextView
                                        android:id="@+id/good_num_tv"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerHorizontal="true"
                                        android:textColor="@color/im_color_242424"
                                        android:textSize="@dimen/platform_dp_16"
                                        tools:text="4.7" />

                                <TextView
                                        android:id="@+id/good_num_tv_unit"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerHorizontal="true"
                                        android:text="分"
                                        android:textColor="@color/im_color_242424"
                                        android:textSize="@dimen/platform_dp_10" />
                            </LinearLayout>


                            <com.yidianling.uikit.business.session.view.ImRedStarGradeView
                                    android:id="@+id/good_num_icons"
                                    android:layout_width="wrap_content"
                                    android:layout_height="11dp"
                                    android:layout_alignParentBottom="true"
                                    android:layout_marginBottom="1.5dp" />

                            <ImageView
                                    android:layout_width="10dp"
                                    android:layout_height="10dp"
                                    android:layout_alignParentBottom="true"
                                    android:layout_marginLeft="2dp"
                                    android:layout_marginBottom="1.5dp"
                                    android:layout_toRightOf="@+id/good_num_icons"
                                    android:scaleType="fitXY"
                                    android:src="@drawable/im_more_info_icon" />
                        </RelativeLayout>

                        <RelativeLayout
                                android:id="@+id/rl_server"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:paddingTop="13dp"
                                android:paddingBottom="10dp"
                                app:layout_constraintLeft_toRightOf="@+id/rl_help"
                                app:layout_constraintRight_toLeftOf="@+id/rl_good">

                            <TextView
                                    android:id="@+id/server_num_tv"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerHorizontal="true"
                                    android:textColor="@color/im_color_242424"
                                    android:textSize="@dimen/platform_dp_16"
                                    tools:text="1634" />


                            <TextView
                                    android:id="@+id/server_num_tv_desc"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_alignParentBottom="true"
                                    android:layout_centerHorizontal="true"
                                    android:text="服务时长 (小时)"
                                    android:textSize="@dimen/platform_dp_10" />

                            <ImageView
                                    android:layout_width="10dp"
                                    android:layout_height="10dp"
                                    android:layout_alignParentBottom="true"
                                    android:layout_marginLeft="12dp"
                                    android:layout_marginBottom="1.5dp"
                                    android:layout_toRightOf="@+id/server_num_tv_desc"
                                    android:scaleType="fitXY"
                                    android:src="@drawable/im_more_info_icon" />
                        </RelativeLayout>

                    </android.support.constraint.ConstraintLayout>

                    <!--用户评论banner-->
                    <LinearLayout
                            android:id="@+id/comment_banner_view_ll"
                            android:layout_width="match_parent"
                            android:layout_height="37dp"
                            android:background="#ffffff"
                            android:gravity="center_vertical"
                            android:orientation="horizontal"
                            android:paddingLeft="5dp"
                            android:paddingRight="10dp"
                            android:visibility="gone">

                        <TextView
                                android:id="@+id/im_focus_btn"
                                android:layout_width="46dp"
                                android:layout_height="20dp"
                                android:background="@drawable/im_focus_btn_bg"
                                android:gravity="center"
                                android:textColor="@color/platform_main_theme"
                                android:textSize="12dp"
                                tools:text="关注" />

                        <View
                                android:layout_width="0.5dp"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp"
                                android:background="#F0F0F0" />

                        <com.yidianling.uikit.business.session.view.ImCommentBannerView
                                android:id="@+id/comment_banner_view"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"></com.yidianling.uikit.business.session.view.ImCommentBannerView>

                        <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:lines="1"
                                android:text="评价"
                                android:textColor="@color/platform_main_theme"
                                android:textSize="12dp" />

                        <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginBottom="1dp"
                                android:lines="1"
                                android:text="("
                                android:textColor="@color/platform_main_theme"
                                android:textSize="12dp" />

                        <TextView
                                android:id="@+id/tv_all_comment_desc"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:lines="1"
                                android:textColor="@color/platform_main_theme"
                                android:textSize="12dp"
                                tools:text="18714" />

                        <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginBottom="1dp"
                                android:lines="1"
                                android:text=")"
                                android:textColor="@color/platform_main_theme"
                                android:textSize="12dp" />

                        <ImageView
                                android:id="@+id/tv_all_comment_go"
                                android:layout_width="18dp"
                                android:layout_height="18dp"
                                android:layout_gravity="center"
                                android:src="@drawable/platform_right_arrow" />

                    </LinearLayout>

                </LinearLayout>
                <!-- 客服小壹 三个快捷按钮 -->
                <FrameLayout
                        android:id="@+id/quick_fl"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingLeft="8dp"
                        android:paddingRight="10dp">

                    <LinearLayout
                            android:id="@+id/ll_actions_yi"
                            android:layout_width="match_parent"
                            android:layout_height="53dp"
                            android:layout_marginTop="10dp"
                            android:orientation="horizontal"
                            android:visibility="gone">

                        <LinearLayout
                                android:id="@+id/action_help"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:background="@drawable/im_bg_im_confide_action"
                                android:gravity="center"
                                android:orientation="horizontal">

                            <ImageView
                                    android:layout_width="17dp"
                                    android:layout_height="17dp"
                                    android:src="@drawable/im_chat_ico_help" />

                            <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="3dp"
                                    android:gravity="center"
                                    android:text="常见问题"
                                    android:textColor="@color/im_color_242424"
                                    android:textSize="15sp"
                                    android:textStyle="bold" />
                        </LinearLayout>


                        <LinearLayout
                                android:id="@+id/action_feedback"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="8dp"
                                android:layout_weight="1"
                                android:background="@drawable/im_bg_im_confide_action"
                                android:gravity="center"
                                android:orientation="horizontal">

                            <ImageView
                                    android:layout_width="17dp"
                                    android:layout_height="17dp"
                                    android:src="@drawable/im_chat_ico_feedback" />

                            <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="3dp"
                                    android:gravity="center"
                                    android:text="投诉反馈"
                                    android:textColor="@color/im_color_242424"
                                    android:textSize="15sp"
                                    android:textStyle="bold" />
                        </LinearLayout>


                        <LinearLayout
                                android:id="@+id/action_call"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="8dp"
                                android:layout_weight="1"
                                android:background="@drawable/im_bg_im_confide_action"
                                android:gravity="center"
                                android:orientation="horizontal">

                            <ImageView
                                    android:layout_width="17dp"
                                    android:layout_height="17dp"
                                    android:src="@drawable/im_chat_free_call" />

                            <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="3dp"
                                    android:gravity="center"
                                    android:text="免费热线"
                                    android:textColor="@color/im_color_242424"
                                    android:textSize="15sp"
                                    android:textStyle="bold" />
                        </LinearLayout>

                    </LinearLayout>

                </FrameLayout>

            </LinearLayout>
            <!-- 未支付订单提醒等 -->
            <RelativeLayout
                    android:id="@+id/rl_contain"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/top_view_container"
                    tools:layout_height="50dp" />
            <!--右边的两个快捷回复按钮-->
            <RelativeLayout
                    android:id="@+id/lin_actions"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/rl_contain"
                    android:layout_alignParentRight="true"
                    android:layout_gravity="right"
                    android:layout_marginTop="14dp"
                    android:visibility="visible">

                <RelativeLayout
                        android:id="@+id/rela_zixun"
                        android:layout_width="wrap_content"
                        android:layout_height="36dp"
                        android:background="@drawable/im_bg_im_consult_action"
                        android:gravity="center"
                        android:paddingLeft="17dp"
                        android:paddingRight="11dp">

                    <TextView
                            android:id="@+id/action_yuyue"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:paddingLeft="5dp"
                            android:text="立即咨询"
                            android:textColor="#ffffff"
                            android:textSize="14dp"
                            android:textStyle="bold" />

                </RelativeLayout>

            </RelativeLayout>

        </RelativeLayout>

        <FrameLayout
                android:id="@+id/layoutPlayAudio"
                android:layout_width="128dp"
                android:layout_height="128dp"
                android:layout_gravity="center"
                android:background="@drawable/im_nim_audio_record_toast_bg"
                android:visibility="gone"
                tools:visibility="visible">

            <ImageView
                    android:id="@+id/img_antation"
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="25dp"
                    android:src="@mipmap/im_voice_search_feedback001" />

            <ImageView
                    android:id="@+id/img_cancel"
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="25dp"
                    android:src="@mipmap/im_icon_audio_cancel"
                    android:visibility="gone" />

            <Chronometer
                    android:id="@+id/timer"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/im_timer_default"
                    android:textColor="@color/im_white"
                    android:textSize="45sp"
                    android:visibility="gone" />

            <LinearLayout
                    android:id="@+id/timer_tip_container"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom"
                    android:layout_margin="6dp"
                    android:gravity="center">

                <TextView
                        android:id="@+id/timer_tip"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:text="@string/im_recording_cancel"
                        android:textColor="@color/im_white"
                        android:textSize="12sp" />
            </LinearLayout>
        </FrameLayout>

        <com.yidianling.uikit.business.session.view.ChatPrivateTips
                android:id="@+id/v_chattips"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="58dp"
                android:visibility="gone" />

        <!-- 常见问题 快捷回复-->
        <RelativeLayout
                android:id="@+id/rl_common_question"
                android:layout_width="wrap_content"
                android:layout_height="42dp"
                android:layout_gravity="bottom"
                android:background="@drawable/im_background_chat_common_question"
                android:paddingRight="13dp">

            <TextView
                    android:id="@+id/tv_open_common_question"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="11dp"
                    android:gravity="center_vertical"
                    android:text="常见问题"
                    android:textColor="@color/platform_main_theme"
                    android:textStyle="bold" />

        </RelativeLayout>
    </FrameLayout>

    <FrameLayout
            android:id="@+id/fl_question_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:visibility="gone" />


    <include layout="@layout/im_nim_message_activity_bottom_layout" />

</LinearLayout>
